Summary: Crypt-Primes - Provable Prime Number Generator suitable for Cryptographic Applications.
Name: perl-Crypt-Primes
Version: 0.50
Release: 1AX
License: distributable
Group: Applications/CPAN
URL: http://www.cpan.org
Source0: Crypt-Primes-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides: %{name}

%description
This module implements Ueli Maurer's algorithm for generating large provable primes and secure parameters for public-key cryptosystems. The generated primes are almost uniformly distributed over the set of primes of the specified bitsize and expected time for generation is less than the time required for generating a pseudo-prime of the same size with Miller-Rabin tests. Detailed description and running time analysis of the algorithm can be found in Maurer's paper[1].

Crypt::Primes is a pure perl implementation. It uses Math::Pari for multiple precision integer arithmetic and number theoretic functions. Random numbers are gathered with Crypt::Random, a perl interface to /dev/u?random devices found on most modern Unix operating systems.

%prep
%setup -q -n Crypt-Primes-%{version}

%build
# note the %{_prefix} which must passed to Makefile.PL, weird but necessary :-(
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=${RPM_BUILD_ROOT}/usr INSTALLDIRS=vendor

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > Crypt-Primes-%{version}-filelist
if [ "$(cat Crypt-Primes-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f Crypt-Primes-%{version}-filelist
%defattr(-,root,root,-)

%changelog
* Fri Apr 30 2004 Hideo Takeuchi <takeuchi@miraclelinux.com>
  - rebuild for Asianux 1.0

